@use "../abstract/" as abs;

.gallery{

    &__card {
        width: 33.3333%;
        height: 30vw;
        overflow: hidden;
        position: relative;

        @include abs.respond(medium){
            width: 50%;
            height: 40vw;
        }
    }

    &__card-overlay {
        @include abs.absPostTL(0, -100%);
        @include abs.fullSpace;
        background-color: rgba(abs.$color-primary, .5);
        color: abs.$color-white;
        @include abs.flexCenter;
        flex-direction: column;
        z-index: 10;
        transition: left .7s;
    }

    &__card:hover &__card-overlay{
        left: 0;
    }
    
    
    &__card-img {
        @include abs.fullSpace;
        object-fit: cover;
        opacity: .4;
    }

    .card{
        &__overlay-heading {
            font-family: abs.$font-nunito;
            font-size: 5rem;
            @include abs.textStyles(capitalize);

            @include abs.respond(medium){
                font-size: 3.5rem;
            }

            @include abs.respond(small){
                font-size: 3rem;
            }
        }
        
        &__overlay-price {
            font-family: abs.$font-josefinSans;
            font-size: 3rem;
            margin: 0 0 3rem;
            @include abs.textStyles(capitalize);

            @include abs.respond(medium){
                font-size: 2.5rem;
            }

            @include abs.respond(small){
                font-size: 2rem;
            }
        }
    }
}